
variables:
  MYSQL_HOST: localhost__bokeh_mysql5
  MYSQL_DATABASE: "bokeh_build_${CI_BUILD_REF}"
  MYSQL_ROOT_PASSWORD: root

test:php5_latest:
  image: localhost:5000/bokeh_php5
  services:
    - localhost:5000/bokeh_mysql5
  script:
    - bash scripts/ci_data_preparation.sh $MYSQL_DATABASE $MYSQL_HOST $MYSQL_ROOT_PASSWORD
    - bash build.sh $MYSQL_DATABASE root $MYSQL_ROOT_PASSWORD $MYSQL_HOST
  except:
    - tags
  tags:
    - docker

test:php7_latest:
  image: localhost:5000/bokeh_php7
  services:
    - localhost:5000/bokeh_mysql5
  script:
    - bash scripts/ci_data_preparation.sh $MYSQL_DATABASE $MYSQL_HOST $MYSQL_ROOT_PASSWORD
    - bash build.sh $MYSQL_DATABASE root $MYSQL_ROOT_PASSWORD $MYSQL_HOST
  except:
    - tags
  tags:
    - docker
